package com.fjhx.victoriatourist.service.jd.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;

public class Example {
    public static void main(String[] args) {
        DateTime dateTime = DateUtil.offsetHour(DateUtil.date(), -1);
        System.out.println(dateTime);
    }

    public static void modifyValue(Integer value) {
        System.out.println("Inside method: value = " + value);
        
        // 这里尝试修改 Integer 对象的值，但是这是不允许的
        // value = value + 10; // 会引发编译错误

        // 在方法内部修改对象的属性，调用者可以看到这个修改
        // 但是请注意，这并非是修改 Integer 本身的值
        value = value + 10;

        System.out.println("Inside method after modification: value = " + value);
    }
}
